package com.example.demo.order_lines.api;

import com.fasterxml.jackson.annotation.JsonProperty;

import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;

public class OrderLineDto {
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Long id;
    @NotNull
    @Min(1)
    private Long productId;
    @NotBlank
    private Integer count;
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Double totalPriceLine;

    public Double getTotalPriceLine() {
        return totalPriceLine;
    }

    public void setTotalPriceLine(Double totalPriceLine) {
        this.totalPriceLine = totalPriceLine;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }
}
